﻿-- 充值成功tips界面
Lua_ChongzhiSucceededWindow = class("Lua_ChongzhiSucceededWindow", Lua_Window);
function Lua_ChongzhiSucceededWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChongzhiSucceededWindow";
	self.skinName = "ChongzhiSucceededWindow_skin";
end

function Lua_ChongzhiSucceededWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardDragItem = Lua_RewardDragItem.new(self.content, 582, 120, 80);
	self.rewardDragItem.pivot = 2;

	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_ChongzhiSucceededWindow:showWin(param)
	self:superCall("showWin", param);

	-- print("81401602", param.gift_name)
	local name = param.gift_name == "" and param.diamond..DataCenter.moneyData:getNameByType(Lua_MoneyData.GOLD) or param.gift_name;
	self.nameTxt.text = LanUtil.formateStr(LanUtil.getValue(121335), name);

	local arr = Array();
	if param.diamond > 0 then -- 钻石
		arr:add({id = Lua_MoneyData.GOLD, amount = param.diamond, bind = 0});
	end
	if param.gold > 0 then -- 金条
		arr:add({id = Lua_MoneyData.BIND_GOLD, amount = param.gold, bind = 0});
	end
	if param.gold_money > 0 then -- 金钱
		arr:add({id = Lua_MoneyData.COPPER, amount = param.gold_money, bind = 0});
	end
	for i = 1, #param.item do
		arr:add(param.item[i]);
	end
	self.rewardDragItem:setRewardByArray(arr);
end

function Lua_ChongzhiSucceededWindow:dispose()
	if self.rewardDragItem ~= nil then
		self.rewardDragItem:dispose();
		self.rewardDragItem = nil;
	end
	self:superCall("dispose");
end