checkRequire("Lua_ChongzhiListItem2");
Lua_ChongzhiWindow2 = class("Lua_ChongzhiWindow2", Lua_FullSizeWindow);
function Lua_ChongzhiWindow2:ctor()
	if getRechargeStyle() == 1 then
		self:superCall("ctor", true, true, 3500, false, false, false, "/images/chongzhi2/chongzhibg.png");
		self.skinName = "ChongzhiWindow2_skin";
	elseif getRechargeStyle() == 2 then
		self:superCall("ctor", true, true, 3500, false, false, false, "/images/chongzhi2/chongzhibg3.png");
		self.skinName = "ChongzhiWindow3_skin";
	elseif getRechargeStyle() == 3 then
		self:superCall("ctor", true, true, 3500, false, false, false, "/images/chongzhi2/chongzhibg4.png");
		self.skinName = "ChongzhiWindow4_skin";
	end
    self.windowName = "Lua_ChongzhiWindow2";
end
function Lua_ChongzhiWindow2:buildShowItem()
	self:superCall("buildShowItem");
	self.closeBtn:addClickFuntion(self, self.hide);
	self:addLuaEvent("MONEY_UPDATE", self, self.onMoneyUpdate);
	self:onMoneyUpdate();

	self:addLuaEvent("SET_RECHARGE_DATA",self,self.setRechargeData);
    self.rechargeDragList = Lua_DragList.new(self.content,1, Vector4(-48, -214, 1000, 620));
	self.rechargeDragList:setLocation(170, 186, 0);
	self.rechargeDragList:setListCell(Lua_ChongzhiListItem2, 290, 250, 4);
    
	DataCenter.rechargeData:sRechargeGiftBagMsg();
	DataCenter.rechargeData:sRechargeMagicBagMsg();--法宝礼包
    DataCenter.rechargeData:sGetRechargeInfo();
    DataCenter.rechargeData.winOpen = 1;
end
function Lua_ChongzhiWindow2:onMoneyUpdate(o)
	self.moneyTxt1.text = Lua_CommonUtil.getNumberTrans(DataCenter.moneyData:getMoney(Lua_MoneyData.GOLD));	
	self.moneyTxt2.text = Lua_CommonUtil.getNumberTrans(DataCenter.moneyData:getMoney(Lua_MoneyData.BIND_GOLD));	
	self.moneyTxt3.text = Lua_CommonUtil.getNumberTrans(DataCenter.moneyData:getMoney(Lua_MoneyData.COPPER));	
end
function Lua_ChongzhiWindow2:setRechargeData()
   local tarr =DataCenter.rechargeData:rechargeInfoArr();
   self.rechargeList=Array();
   local cIndex = 1;
   for i=1,tarr:getSize() do
   		if tarr[i].isShowMagicBag ~= true then
			local info={}
			info.data = tarr[i];
			info.index = i;
			if tarr[i].isShowGiftBag ~= true then
				info.cIndex = cIndex;
				cIndex = cIndex + 1;
			end
			self.rechargeList:add(info);
   		end
   end
   self.rechargeDragList:setLuaArrayData(self.rechargeList, false);
end
function Lua_ChongzhiWindow2:dispose()
	self:superCall("dispose");
	DataCenter.rechargeData.winOpen = 0;
end