Lua_ExpireWarningWindow = class("Lua_ExpireWarningWindow",Lua_ThirdSizeWindow)
function Lua_ExpireWarningWindow:ctor()
	self:superCall("ctor",true,3500,true,LanUtil.getValue(121314));
	self.w = 602;
	self.h = 351;
	self.windowName = "Lua_ExpireWarningWindow";
	self.skinName = "ExpireWarningWindow_skin";
end
function Lua_ExpireWarningWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleBg:setLocation(0,157.5)
	self.titleNameText:setLocation(0,156.5)
	self.btnClose:setLocation(269,159.5)

	self.renewalsBtn:addClickFuntion(self, self.onRenewalsBtn)
end

function Lua_ExpireWarningWindow:exeSub()
	if self.data.neverTip ~= nil then
		DataCenter.neverTip:setNeverValue(self.data.neverTip, self.dontRemindBox.seleted);
	end

	if self.data ~= nil and self.data.subFun ~= nil then
		self.data.subFun(self.data.owner, self.data);
	end
end


function Lua_ExpireWarningWindow:showWin(param)
	self.data = param

	if self.data.neverTip ~= nil then
		self.dontRemindBox:setEnable(true);
		self.dontRemindBox.seleted = false;
	else
		self.dontRemindBox:setEnable(false);
	end	
    local leftTime = tonumber(tostring(self.data.expired_time)) - tonumber(tostring(GlobalVar.cur_tick));
    self.vipName = getConfig( { "vip_level", DataCenter.vipData.level, "view_name"})
    self.noteTxt.text = LanUtil.formateStr(LanUtil.getValue(121312), self.vipName, TimeTransform.getInstance():transSeconds1(leftTime, true));     
	Lua_CommonUtil.addTimer("VIP_EXPIRED_TIME_DOWN",1,self,self.onVipExpiredTimeDown,nil,-1);
end

function Lua_ExpireWarningWindow:onVipExpiredTimeDown()
    local leftTime = tonumber(tostring(self.data.expired_time)) - tonumber(tostring(GlobalVar.cur_tick))
    self.noteTxt.text = LanUtil.formateStr(LanUtil.getValue(121312), self.vipName, TimeTransform.getInstance():transSeconds1(leftTime, true));
    if leftTime<= 0 then
        Lua_CommonUtil.removeTimer(self,self.onVipExpiredTimeDown);
    end
end

function Lua_ExpireWarningWindow:onRenewalsBtn(go)
	self:hide();
	Lua_WindowUtil.openWin("Lua_RenewalsWindow");
end

function Lua_ExpireWarningWindow:sendMessage()
    local cmd = ProtoPublic_pb.Proto11400808();
    local state = 1;   
    cmd.tip_state = state;
    sendMsg(11400808, cmd);
end

function Lua_ExpireWarningWindow:dispose()
	self:exeSub();
    if self.dontRemindBox.seleted == true then
        self:sendMessage();
    end
    Lua_CommonUtil.removeTimer(self,self.onVipExpiredTimeDown);
	self:superCall("dispose");
end


