checkRequire("Lua_DailyRewardItem")
Lua_VipGiftTipsWindow = class("Lua_VipGiftTipsWindow", Lua_ThirdSizeWindow);
function Lua_VipGiftTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_VipGiftTipsWindow";
	self.skinName = "VipGiftTipsWindow_skin";
	self.w = 604;
	self.h = 380;
	self.titleText = "每日禮包";
end

function Lua_VipGiftTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.infoTxt.text = LanUtil.getValue(121325);

	self.rewardList = Lua_DragList.new(self.content, 2 , Vector4(0, 0, 400, 90));
	self.rewardList:setLocation(0, -18, 0);
	self.rewardList:setListCell(Lua_DailyRewardItem, 90, 90, 999);

	self.subBtn:addClickFuntion(self, self.hide);
end

function Lua_VipGiftTipsWindow:showWin(param)
	self.rewardList:setLuaArrayData(param[1], false) 

	if getLanType() == 2 and tonumber(param[2]) == 100 then
		self.titleNameText.text = "會員每日禮包";
	else
		local name = getConfig({"vip_level", param[2], "view_name"});
		self.titleNameText.text = LanUtil.formateStr(LanUtil.getValue(121329), name);
	end
end

function Lua_VipGiftTipsWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end

	self:superCall("dispose");
end