﻿Lua_VipTypeItem = class("Lua_VipTypeItem", Lua_ListCell);
function Lua_VipTypeItem:ctor(p)
	self:superCall("ctor", p, "VipTypeItem_skin");
end

function Lua_VipTypeItem:buildShowItem()
	self:superCall("buildShowItem");

	self.redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 123, 45, 0, 0);
	self.redDot.name = "redDot";
	self.redDot:setDepth(11);
	self.redDot:setEnable(false);

	self.itemImg = Lua_ToolImage.new(self.content);
	self.itemImg:setDepth(6);
	self.itemImg:setLocation(-86, 5.5);
end

function Lua_VipTypeItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	if data.selected then
		self.board:setAltas("common_atlas_1", "ui_common_widget_p2");
	else
		self.board:setAltas("common_atlas_1", "ui_common_widget_p1");
	end

	if data.gold ~= nil then
		self.needMoneyTxt.text = LanUtil.getValue(121306)..data.gold;
	else
		self.needMoneyTxt.text = "";
	end

	local itemId;
	if data.id == 2 then
		itemId = 202000042;
	elseif data.id == 3 then
		itemId = 202000043;
	elseif data.id == 4 then
		itemId = 202000044;
	elseif data.id == 5 then
		itemId = 202000059;
		self.needMoneyTxt.text = data.textStr;
	end
	tvo = Lua_ToolVo.new(itemId);
	self.itemImg.data = tvo;
	self.itemImg:showRoundEff(data.id == 4);
	self.cardTypesTxt.text = "[" .. tvo.colorStr .. "]" .. data.name .. "[-]";
	
	self.selectSp:setEnable(data.selected);
	self.redDot:setEnable(data.id == 5 and data.isCanGet);
end

function Lua_VipTypeItem:onPlayerSoundClick(go)
	Lua_MsgUtil.callFunc("VIP_TYPEINFO_CLICK", self._data);
end

function Lua_VipTypeItem:dispose()
	if self.itemImage ~= nil then
		self.itemImg:dispose();
		self.itemImg = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end