Lua_VipUseExperienceCardWindow= class("Lua_VipUseExperienceCardWindow",Lua_Window)
function Lua_VipUseExperienceCardWindow:ctor()
	self:superCall("ctor");
	self.showBg = false;
	self.isModel = false;
	self.showClose = false;
	self.skinName  = "VipUseExperienceCardWindow_skin";
end
function Lua_VipUseExperienceCardWindow:buildShowItem()
	self:superCall("buildShowItem");	

	self.okBtn:addClickFuntion(self,self.onOkClick);
	self.closeBtn:addClickFuntion(self,self.closeWin);
	self.dragList =  Lua_DragList.new(self.content,1,Vector4(0,0,535,230));
	self.dragList:setLocation(153, -42, 0);
	self.dragList:setListCell(Lua_VipCardUseShowItem, 36, 535, 1);
	local txtdata = Lua_CommonUtil.getCommonConfig("vip_card_ui_txtitems",3);
	local dataList = Array();
	for k,v in ipairs(txtdata) do
		dataList:add(v);
	end
	self.dragList:setLuaArrayData(dataList, false);

end

function Lua_VipUseExperienceCardWindow:closeWin()
	Lua_WindowUtil.openWin("Lua_VipUseExperienceCardWindow", WinParam.ACTION_CLOSE, nil);
end

function Lua_VipUseExperienceCardWindow:onOkClick()
	self:hide();
end

function Lua_VipUseExperienceCardWindow:showWin(param)	
	self.showingIndex = param
	local sec = Lua_CommonUtil.getCommonConfig("vip_card_auto_use_sec",1);

	self.canUse = false;
	self.canUse = true;
end
function Lua_VipUseExperienceCardWindow:dispose()
	DataCenter.sdkInterface:callSDKInterface(Lua_SDKMessageType.onVipExperience);
	
    local bagData = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK); 
	local curData = bagData:getItemByItemId(202000059);
	if curData ~= nil then
		Lua_PackUtil.useItem(curData, curData.count);
	end
	self:superCall("dispose");
	Lua_CommonUtil.removeTimer(self,self.autoUse);

end

function  Lua_VipUseExperienceCardWindow:autoUse()
	if self.canUse == false then
		return;
	end
	self:onOkClick();
end


Lua_VipCardUseShowItem = class("Lua_VipCardUseShowItem",Lua_ListCell);
function Lua_VipCardUseShowItem:ctor(p)
	self:superCall("ctor", p, "VipCardUseShowItem_skin");
end
function Lua_VipCardUseShowItem:buildShowItem()
	self:superCall("buildShowItem");
end
function Lua_VipCardUseShowItem:setData(val)
	self.txt.text = val;
end