﻿-- 充值
checkRequire("Lua_RechargePanel");
checkRequire("Lua_VipPanel");
checkRequire("Lua_InvestmentPlanPanel");
checkRequire("Lua_MonthlyPlanPanel");
checkRequire("Lua_WeeklyCardPanel");
Lua_ChongzhiWindow = class("Lua_ChongzhiWindow", Lua_SpecialFullSizeTabLeftWindow);
function Lua_ChongzhiWindow:ctor()
	self.list = Array();
	self.list:add({name = LanUtil.getValue(121300), eventIds = {11176, 11178, 22018, 22019}, openId = 10090, panel = Lua_RechargePanel, titleAltas = "titleName_altas_1", titleSprite = "chuzhi"});
	self.list:add({name = LanUtil.getValue(121303), eventIds = {15007}, openId = 10097, panel = Lua_VipPanel, titleAltas = "titleName_altas_1", titleSprite = "chuzhi"});
	if DataCenter.investmentPlanData.showIcon ~= nil and DataCenter.investmentPlanData.showIcon == 1 then
		if DataCenter.investmentPlanData.peakInvestmentOpen ~= nil and DataCenter.investmentPlanData.peakInvestmentOpen == 1 then
			self.list:add({name = LanUtil.getValue(122597), eventIds = {15004, 15005}, openId = 10083, panel = Lua_InvestmentPlanPanel, titleAltas = "titleName_altas_1", titleSprite = "chuzhi"});
		else
			self.list:add({name = LanUtil.getValue(122505), eventIds = {11201, 11205}, openId = 10083, panel = Lua_InvestmentPlanPanel, titleAltas = "titleName_altas_1", titleSprite = "chuzhi"});
		end
	end
	self.list:add({name = LanUtil.getValue(122506), eventIds = {11200, 11204}, openId = 10084, panel = Lua_MonthlyPlanPanel, titleAltas = "titleName_altas_1", titleSprite = "chuzhi"});
	self.list:add({name = LanUtil.getValue(121323), eventIds = {15003, 15002}, openId = 10143, panel = Lua_WeeklyCardPanel, titleAltas = "titleName_altas_1", titleSprite = "chuzhi"});

	self:superCall("ctor", self.list, "recharge_atlas", "ui_chongzhi_btn_03", "ui_chongzhi_btn_02");
	self.windowName = "Lua_ChongzhiWindow";
	self.bgPath ="/images/recharge/ui_chongzhi_bg_07.png";
end

function Lua_ChongzhiWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self.winTitleBg:setUrl("/images/recharge/ui_chongzhi_btd_01.png");
	self.winTitleBg:SetDimensions(1280, 61);

	self.titleLine:setEnable(false);

	self.btnClose:setAltas("recharge_atlas","ui_chongzhi_fanhui");
	self.btnClose:SetDimensions(81,72);
	self.btnClose:setLocation(-589, 323);

	DataCenter.vipData.ChongzhiWindowData = Lua_WindowUtil.getWinData("Lua_ChongzhiWindow", true);

	self:addLuaEvent("CHONGZHI_REDDOT_POS", self, self.updateRedDotPos);
end

function Lua_ChongzhiWindow:showWin(param)
	local toindex;
	if param ~= nil then
		if type(param) == "number" then
			toindex = param;
		elseif type(param) == "table" and param.openIdx ~= nil then
			toindex = param.openIdx;
		end
	end

	local index;
	for i = 1, self.tabList:getSize() do
		if self.tabList[i].openId == toindex then
			index = i;
			break;
		end
	end
	index = index == nil and toindex or index;
	self:superCall("showWin", index);
end

function Lua_ChongzhiWindow:setSelected(val)
	self:superCall("setSelected",val);
	DataCenter.rechargeData.selectNum = val;
end

function Lua_ChongzhiWindow:updateRedDotPos(openId)
	for i = 1, self.tabList:getSize() do
		self.btnList.pageArr[i]:setRedDotPos(openId == self.tabList[i].openId and 113 or 103, 0);
	end
end